Subject: bug#1867: Resizing window causes text flickering when using antialiased font on X

From: Bo Lin <[email-masked]>
Date: Thu, 6 Oct 2011 15:38:41 -0400

Hi Glenn,

This bug is no longer present as of Emacs 23.3, on the same machine.
Actually, I don't recall having this problem for a very long time,
since at least 23.1. I guess this bug can be closed.

Regards,
Bo

On Tue, Oct 4, 2011 at 9:13 PM, Glenn Morris <[email-masked]> wrote:
> Bo Lin wrote:
>
>> 1. Choose a font FONTNAME which supports antialiasing. Confirm
>> antialiasing is turned on for FONTNAME in fontconfig:
>>
>> $ fc-match -v FONTNAME |grep antialias
>>       antialias: FcTrue(w)
>>
>> 2. emacs -q
>> 3. M-: (set-face-attribute 'default nil :font "FONTNAME")
>> 4. C-x 3 C-x 2
>>
>> Now there are three windows. We'll name the upper-left window 1,
>> lower-left window 2, and the right window 3.
>>
>> 5. C-x b *scratch* RET C-x o C-x b *Messages* RET C-x o C-h i
>> 6. Using mouse, quickly drag mode-line of window 1 up and down.
>>
>> Observe how text in window 1 and 3 flicker as windows 1 and 2 are
>> resized. The main point is that window 3, though totally unaffected by
>> the resizing of windows 1 and 2 and showing a different buffer, is still
>> been constantly redrawn. This quite annoying, as even when the
>> mini-buffer window resizes, which happens quite frequently, will cause
>> the whole frame to flicker.
>>
>> This flickering does *not* occur if using old X core fonts. To confirm,
>> start with `emacs -q -fn fixed' and repeat steps 4-6.
> [...]
>> In GNU Emacs 23.0.60.7 (i686-pc-linux-gnu, GTK+ Version 2.14.4)
>>  of 2009-01-12 on unicorn
>> Windowing system distributor `The X.Org Foundation', version 11.0.10502000
>
>
> I don't seem to be able to reproduce this. Do you still see this with
> the latest version of Emacs?
>